# 1.3.0 Patch Notes
- Revived the mod
- Rewrote the mod
- Added Heavy Tap, Plasma Tap
- - Added proper skill icons
- Removed everything else
- - Let me know if you'd like to see other skills being added (I don't think they're that great, which is why I didn't bother with them, but I'll add them if someone asks)


# 1.1.12 Patch Notes
- Updated to new ContentPack system (THIS MAY HAVE BROKEN PROJECTILE NETWORKING. If certain skills aren't working in multiplayer, lemme know)
- CD Heavy Tap damage 2x170% -> 2x165%, 4 charges, cooldown 2.75s -> 2.5s
- Micro Missile now uses sweet spot falloff model (also used by Frag Grenade and Scrap Launcher in vanilla)
- Sweep Barrage now attempts to search on each Fire() instance if no targets were available
- Not much else this time, I'd planned to package this as part of 1.2.0 but RoR2 update broke stuff

# 1.1.11 Patch Notes
- Updated Plasma Tap and Phase Missile sound effects
- Mini Flamethrower now uses its inspiration's sound effects (this and the new achievement sound effect is the bulk of why this update is over three times as large)
- Renamed the achievements for Phase Missile and Sweep Barrage
- The phrase you type in for the Axiom Verge achievement is no longer case-sensitive
- Axiom Verge achievement now has an additional sound effect
- Fixed Passives config referring to an older achievement name
- Scorched debuff reverted to Shattered, color reverted to roughly what it was before
- Setting roll armor to 0 now disables the debuff entirely (untested)
- New Tactical Dive's description will now be changed depending on active config, similarly to Frag Grenade and Phase Round
- Errors fixed in Thunderstore description
- Removed unused skills and other unnecessary code
- Added SoundAPI to dependencies, should fix the new sound effects not working sometimes

# 1.1.10 Patch Notes
- Mini Flamethrower prevents sprinting while active for compatibility with AutoSprint mod
- Spark Chaser proc coefficient 0.6/0.6 -> 1/0.5 for orb and arcs

# 1.1.9 Patch Notes
- CD Heavy Tap damage 2x185% -> 2x170%
- Mini Flamethrower proc coefficient 0.6 -> 0.5, now has a 30% chance to ignite enemies per hit instead of automatically inflicting Scorched
- Mini Flamethrower self recoil 300 -> 290
- Sweep Barrage bullet damage 325% -> 310% to match Suppressive Fire nerf from 1.1.6
- Sweep Barrage tracer and sound effect updated
- Sweep Barrage tracking code rewritten, hopefully should work with the new networking changes
- Spark Chaser projectile damage 600% -> 500%, arc damage per second 300% -> 280%
- Spark Chaser size increased slightly, arc range 9m -> 11m
- Spark Chaser now has the Agile tag
- Updated the descriptions of most skills altered in 1.1.0 to match their new damage values
- Updated CD Heavy Tap to correct number of charges
- Fixed typo in Second Wind description

# 1.1.8 Patch Notes
- So. Remember how I did a fix for networking projectiles and stuff? So it turns out that I put them in a different method so I could move it before the unlockable setup, since that's where the hook into RoR2.ContentPack was placed, right? Turns out I completely forgot to call that method before uploading 1.1.7, so uh two skills completely broke lmao
- Changed wording of Tapped Out achievement

# 1.1.7 Patch Notes
- Added projectiles to RoR2.ContentPack; I think? them not being added was why networking them failed
- Fixed Spark Chaser breaking skills apart from Phase Missile when fired
- Updated version number

# 1.1.6 Patch Notes
- Migrated back to R2API (hopefully this is the last time I ever have to deal with this)
- Phase Blast force reverted to vanilla on first shot, second shot remains 500
- Suppressive Fire damage 12x95% -> 12x90%
- Fixed Suppressive Fire description listing the wrong damage value
- Added missing GetMinimumInterruptPriority() to Spark Chaser, not sure what this fixes but it's probably something?
- Added missing text color to Phase Round's updated description if ramping damage is enabled.
- Rewrote Ramping keyword and both passive descriptions.
- Altered the achievement name and description for Mini Flamethrower to be less vague.
- Fixed Adrenaline being locked even with achievements toggled off.
- Added config to restore Frag Grenades' old physics (must be enabled in config).
- Added config to remove reworked Tactical Dive's stun effect (does nothing if Dive fix isn't enabled).
- Reordered config file to be less confusing; this won't change existing config files, only new ones
- Trimmed code a bit
- Small edit to Thunderstore description

# 1.1.5 Patch Notes
- Forgot to add a soft dependency for Playable Akali to prevent it inheriting passives
- Thunderstore description has been updated to anniversary changes
- Updated version number in console

# 1.1.4 Patch Notes
- Fixed Spark Chaser unlock not working if you entered Void during stage 7 or later
- Fixed Frag Grenade using the old wording for damage if any changes were enabled
- Added config to restore Micro Missile's original appearance/sounds (using updated missile prefab)
- Tactical Dive cooldown 4.5s -> 3s, now only restores 1 charge
- Sweep Barrage should now have its original force, previously had none
- Flamethrower now uses Incinerator Drone's prefab like it originally did during the pre-anniversary beta
- Attack speed scaling on Flamethrower reduced slightly
- Flamethrower recoil 280 -> 300
- Flamethrower damage 60% -> 57.5%
- Spark Chaser cooldown 8s -> 9s
- Spark Chaser lightning interval 0.25s -> 0.22s, seeker refresh 0.1s - 0.22s
- Spark Chaser search distance 20m -> 25m
- Spark Chaser rotation speed 90 -> 60
- Removed unused variables from some skills
- Corrected Spark Chaser being called Plasma Orb on the Thunderstore description

# 1.1.3 Patch Notes
- Buffed Tactical Slide in config should no longer keep the armor/invincibility from Tactical Roll
- Old Shatter option in config removed; the new mechanics were reverted after porting to EnigmaticThunder so it wasn't doing anything
- Scorched should now properly display -25 armor in keywords
- Removed the alternate keyword for Scorched used by Frag Grenade

# 1.1.2 Patch Notes
- Forgot to disable Mini Flamethrower when sprinting
- Properly reduced Scorched to -25 (left it at -30 previously)
- Fixed buffs, should have actual effects now
- Added config to disable all added skills individually (will also remove the achievement)
- Added an achievement for Sweep Barrage
- Removed unneeded soft dependencies

# 1.1.1 Patch Notes
- Forgot to change dependencies

# 1.1.0 Patch Notes
- Ported to new API
- Icons updated to 128x128, previously used upscaled 64x64 placeholders
- Removed unneeded Double Tap changes, Anniversary update did a lot of it already
- Double Tap spread bloom value 0.12 -> 0.18
- Added config to revert Double Tap's attack speed to pre-annivesary Mando Gaming
- Heavy Tap tracer updated to match new icons
- CD Heavy Tap damage 2x170% -> 2x185%
- CD Heavy Tap enters cooldown after first shot
- CD Heavy Tap cooldown 1.2s -> 2.75s, now holds 6 charges and recharges all of them at once
- Legacy Heavy Tap damage 2x130% -> 2x155% and duration 0.54s -> 0.5s to match new Double Tap IF attack speed nerf isn't enabled
- Plasma Tap now uses the same SteppedSkillDef method post-anniversary Double Tap does
- Plasma Tap beam damage 110% -> 150%, arc damage 30% -> 25%
- Plasma Tap arc now jumps to 3 enemies (up from 2)
- Plasma Tap sound updated*
- Phase Round post-anniversary changes are currently scrapped until I can figure out what components I'm looking for, for now it's 400% + 40% per hit
- Phase Blast force 100/100 -> 0/500
- Micro Missile renamed to Phase Missile
- Phase Missile now has new visuals/sound effects to give an electric theme
- Phase Missile range 6.25 -> 6
- Phase Missile proc coefficient 1 -> 0.8
- Phase Missile maximum charge duration raised slightly to prevent the skill from firing immediately after the last loading sound
- Phase Missile interrupt priority reverted to Skill -> Priority Skill for now, may change this back later
- Mini Flamethrower (Secondary) added
- Tactical Roll is slightly longer, felt too short before
- Tactical Roll CD 4s -> 4.5s, now refreshes 2 stocks
- Suppressive Fire damage 10x80% -> 10x100%, cooldown 7.5s -> 8s
- Grenade no longer has keyword if Scorched is disabled
- 1.0.9 Frag Grenade change reverted, I couldn't get the code to work properly w/ Phase Flare post-anniversary
- Gravity Wave (Special) added*
- Cloned Sweep Barrage skill in files and finished graphics
- Shattered debuff renamed to Scorched to fit Phase Flare
- Scorched armor reduction -20 -> -30
- May have other changes I forgot about

# 1.0.10 Patch Notes
- Forgot to add Pain interrupt priority to Micro Missile's loading half, should no longer consume multiple charges on use

# 1.0.9 Patch Notes
- Heavy Tap's tracer wasn't finished in 1.0.8, should be coded correctly now
- Micro Missiles should now fly slower initially but speed up over time
- Micro Missiles will now home in on nearby enemies similar to Visions of Heresy, may need reworking later
- Micro Missiles now actually have the Stunning keyword
- Frag Grenade now applies Shatter only if it deals more than 200% damage (it's done this way to keep compatibility with StandaloneAncientScepter for now)
- All new gameplay changes have config to disable them for now, may be removed in future updates

# 1.0.8 Patch Notes
- Heavy Tap tracer made slightly longer (I think???)
- Alt version of Heavy Tap renamed to "Heavy Tap (legacy)"
- Heavy Tap (legacy) damage 2x170% -> 2x130%, speed increased to compensate (it's weaker than Double Tap, but not by much)
- Fixed old duration system for both versions of Heavy Tap since using shootDelay wasn't working; Heavy Tap should now resemble RoR1 Double Tap
- Suppressive Fire damage 12x65% -> 10x80%
- Suppressive Fire duration per bullet 0.06s -> 0.075s (total duration 0.72s -> 0.75s), should make it easier to spread damage around
- Suppressive Fire cooldown 7s -> 7.5s, but begins cooldown immediately instead of after the skill executes
- Military Training renamed to Collector to avoid overlap with Sniper, still has the same benefits
- Text changes

# 1.0.7 Patch Notes
- Now has a soft dependency on Sniper Classic to avoid it inheriting the modified prefab
- If other mods are inheriting the passives, let me know and I'll fix it

# 1.0.6 Patch Notes
- Didn't actually change Plasma Tap unlock last time, my b
- Unneeded logs regarding Plasma Tap removed

# 1.0.5 Patch Notes
- Prefabs reverted to old method; passives now have no effect if the survivor's base name token is not "COMMANDO_BODY_NAME" (should fix mods like Sniper Classic benefitting from it)
- Tracer prefab and lightning effect for Plasma Tap updated, should hopefully look more electric now (also gives compatibility with BalanceOverhaulRBO post-Tesla nerf but that's not as important)
- Second Wind will now work if brought from above 50% to below 25% in one hit, previously would not activate until they heal back to above 25% due to leftovers from an older version of the passive
- Second Wind now has a visual effect when active
- The unlocks for both Heavy Tap and Plasma Tap weren't given if you exited the stage via a portal; both of them have been changed to when the teleporter is fully charged
- Added logs for when certain modules are complete to make debugging a bit easier

# 1.0.4 Patch Notes
- Plasma Tap's tracer may be slightly different, currently experimenting with improving the visuals
- Added in a missing base.isAuthority check to reworked Tactical Slide, should hopefully fix animations in multiplayer
- EDIT: The prefab fix from this update didn't work, see 1.1.0 notes

# 1.0.3 Patch Notes
- Micro Missile duration 0.2 -> 0.16, no longer speeds up with additional missiles (this was causing unintended firing patterns; may need to adjust further if this got too nerfed)
- Micro Missile's skill classes now have Pain priority instead of PrioritySkill, may cause unintended behavior but should fix the skill interrupting itself

# 1.0.2 Patch Notes
- Added in ResourceAPI
- Considering taking bets for what small error will cause this mod to crash and burn next time
- Thank you to everyone who's been pointing out these mistakes, I'm asleep at the wheel ig

# 1.0.1 Patch Notes
- HealthComponent.TakeDamage was being called even if passives were turned off, should be fixed now

# 1.0.0 Patch Notes
- Double Tap spread 0.08 -> 0.12
- Heavy Tap damage 165% -> 170%
- Heavy Tap cooldown 1.15s -> 1.2s, shot delay 0s -> 0.1s
- Micro Missile duration 3.5s -> 3s, now enters cooldown after firing begins
- Micro Missile can now be charged, releasing up to 6 missiles at full (up from firing 3 immediately)
- Micro Missiles now use their original prefab instead of Paladin's Rocket, hitbox hasn't been adjusted though
- Micro Missile damage 270% -> 180%, no longer has falloff
- Micro Missile radius 6.5m -> 6.25m, velocity 120 -> 180
- Tactical Dive duration 0.9s -> 0.55s, animation made slightly longer than duration to improve visuals
- Tactical Dive initial speed increased to compensate; final result is slightly shorter than vanilla Dive
- Using Tactical Dive next to an enemy (about 3.5m away) will stun them briefly
- Tactical Dive now has 2 charges
- Tactical Slide now has +20% more vertical velocity when used in the air
- Suppressive Fire cooldown 6.5s -> 7s
- Second Wind passive + unlock added
- Blank passive removed, not much point when you can disable passives
- Config moved to MandoGaming.cfg from FMCommando.cfg
- Toggle for whether Tactical Dive gives armor or i-frames (armor by default)
- Toggle for whether Tactical Slide uses the same buff choice as Dive (disabled by default)
- Toggle for whether Frag Grenades stick to enemies (disabled by default)
- Fixed several typos (seriously, I must've been asleep at the keyboard lol)
- Vanilla Heavy Tap (enabled in config) now has 0.4s shot delay instead of changing duration within the class itself; this should hopefully prevent issues with interrupting this with a different skill
- Tactical Dive's armor boost was incorrectly labeled as a debuff
- Optimized asset loading; achievement icons should now work
- A lot of bloat was removed (shouldn't have any effect on gameplay)
- R2API logs now have the correct title

# 0.9.7 Patch Notes
- Yep I sure did

# 0.9.6 Patch Notes
- Micro Missiles should actually have their priority as PrioritySkill now
- Added toggle for giving Slide the armor buff from Dive, although note that it's not balanced around that change
- I stg if I have to do ANOTHER update because I fixed the wrong thing and uploaded it without playtesting it first >_>

# 0.9.5 Patch Notes
- Micro Missiles interrupt prioritiy updated from Skill -> PrioritySkill, should now be castable during M1
- Plasma Tap SFX altered slightly, hopefully less annoying now
- Version number is now correct in the mod itself

# 0.9.4 Patch Notes
- I'm dumb and used OnBodyRequirementBroken instead of the much easier (and actually functional) base.meetsBodyRequirement
- Heavy Tap unlock should work properly now

# 0.9.3 Patch Notes
- More typos fixed
- Suppressive Fire has significantly more spread
- Heavy Tap unlock should now only work with Commando
- Heavy Tap now fires continuously instead of requiring inputs for each shot
- Plasma Tap lightning range reduced (15m -> 11m)
- Possibly??? fixed Plasma Tap not working correctly in multiplayer, haven't been able to test it yet
- Replaced old Micro Missile unlock with a more accessible one
(Micro Missile itself might be improved in later updates, just want to get the fixes here out a bit faster for now)
- Passive order switched to account for the game defaulting to the first slot
- Military Training now applies +0.5 armor per level (down from +1)

# 0.9.2 Patch Notes
- Fixing a couple typos within the mod
- Tactical Dive's armor increase can be adjusted with config (making this an exception since I'm unsure on what to do here, for the most part I'm keeping numbers out of config)
- Double Tap buffed to 100%, attack speed moved closer to vanilla to compensate but it's still a small DPS increase
- Discord link should actually work this time???

# 0.9.1 Patch Notes
- Updated readme in a couple places

# 0.9.0 Patch Notes
- First release
